<script lang="ts">
  import AdminLayout from '$lib/components/layouts/AdminLayout.svelte';
  import type { PageData } from './$types';
  import JournalForm from '$lib/components/forms/JournalForm.svelte';
  import ResearchForm from '$lib/components/forms/ResearchForm.svelte';

  export let data: PageData;

  const { research, categories } = data;
</script>

<svelte:head>
    <title>Изменение записи</title>
</svelte:head>

<AdminLayout>
    <ResearchForm {research} {categories}/>
</AdminLayout>